/*
 * player_task.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 * PlayerTask : runs periodically. See .cpp file for more info
 *
 */

#ifndef PLAYER_TASK_HPP
#define PLAYER_TASK_HPP

#include "task.hpp"

class Player;

class PlayerTask : public Task {
public:
	explicit PlayerTask(Player &p) : pl(p) { }
	virtual void execute(TaskManager &tm);
private:
	Player &pl;
};

#endif

