/*
 * mini_map_colour.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef MINI_MAP_COLOUR_HPP
#define MINI_MAP_COLOUR_HPP

enum MiniMapColour {
	COL_UNMAPPED,
	COL_FLOOR,
	COL_WALL,     // Tiles of this colour are mapped by Magic Mapping scrolls.
	COL_HIGHLIGHT // used for displaying knight's current position
};

#endif
